EnumUtils (JNA API)
Description: declaration: package: com.sun.jna.platform, class: EnumUtils

Package com.sun.jna.platform

# Class EnumUtils

java.lang.Object
com.sun.jna.platform.EnumUtils

public class EnumUtils extends Object
Several helper methods to convert integer flag (sets) into enum (sets)

Author:
  Martin Steiger

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `UNINITIALIZED`
  Uninitialized integer flag

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EnumUtils()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static <E extends Enum<E>>
  E`
  `fromInteger(int idx, Class<E> clazz)`
  `static <T extends FlagEnum>
  Set<T>`
  `setFromInteger(int flags, Class<T> clazz)`
  `static <T extends FlagEnum>
  int`
  `setToInteger(Set<T> set)`
  `static <E extends Enum<E>>
  int`
  `toInteger(E val)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### UNINITIALIZED

    public static final int UNINITIALIZED
    Uninitialized integer flag
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### EnumUtils

    public EnumUtils()

- ## Method Details

  - ### toInteger

    public static <E extends Enum<E>> int toInteger(E val)
    Parameters:
      `val` - the enum
    Returns:
      the index of the enum in the enum list

  - ### fromInteger

    public static <E extends Enum<E>> E fromInteger(int idx, Class<E> clazz)
    Parameters:
      `idx` - the enum index
      `clazz` - the enum class
    Returns:
      the enum at position idx

  - ### setFromInteger

    public static <T extends FlagEnum> Set<T> setFromInteger(int flags, Class<T> clazz)
    Parameters:
      `flags` - the ORed flags
      `clazz` - the enum class
    Returns:
      the representing set

  - ### setToInteger

    public static <T extends FlagEnum> int setToInteger(Set<T> set)
    Parameters:
      `set` - the set to convert
    Returns:
      the flags combined into an integer